org.springframework.context

## Interface EnvironmentAware

- All Superinterfaces:
    Aware
  All Known Implementing Classes:
    AbstractRequestLoggingFilter, CharacterEncodingFilter, CommonsRequestLoggingFilter, ConfigurationClassPostProcessor, DelegatingFilterProxy, DispatcherPortlet, DispatcherServlet, FrameworkPortlet, FrameworkServlet, GenericFilterBean, GenericPortletBean, HiddenHttpMethodFilter, HttpPutFormContentFilter, HttpServletBean, Log4jNestedDiagnosticContextFilter, MultipartFilter, OncePerRequestFilter, OpenEntityManagerInViewFilter, OpenPersistenceManagerInViewFilter, OpenSessionInViewFilter, OpenSessionInViewFilter, PropertySourcesPlaceholderConfigurer, RequestContextFilter, ResourceServlet, ServletContextRequestLoggingFilter, ShallowEtagHeaderFilter

      public interface EnvironmentAware
      extends Aware

  Interface to be implemented by any bean that wishes to be notified of the `Environment` that it runs in.
  Since:
    3.1
  Author:
    Chris Beams

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setEnvironment(Environment environment)` Set the `Environment` that this object runs in.

- - ### Method Detail

    - #### setEnvironment

          void setEnvironment(Environment environment)

      Set the `Environment` that this object runs in.